(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.2'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     68969,       1125]*)
(*NotebookOutlinePosition[     70590,       1174]*)
(*  CellTagsIndexPosition[     70286,       1163]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[{
    \(\(file1 = "\<c:/aaa\>";\)\), "\[IndentingNewLine]", 
    \(\(file2 = "\<c:/bbb\>";\)\), "\[IndentingNewLine]", 
    \(\(file3 = "\<c:/ccc\>";\)\)}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Install["\<C:/myfiles/qlink/qlink.exe\>"]\)], "Input"],

Cell[BoxData[
    \("QLink created! You can read information on QOpen, QRepair, QClose, \
QList, QPut, QGet, QCheck and QRemove"\)], "Print"],

Cell[BoxData[
    \(LinkObject["C:/myfiles/qlink/qlink.exe", 2, 2]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?QOpen\)\)], "Input"],

Cell[BoxData[
    \("QOpen[file] opens a connection to the database in that file"\)], \
"Print",
  CellTags->"Info3388419215-3452632"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?QRepair\)\)], "Input"],

Cell[BoxData[
    \("QRepair[file] attempts to repair the database file"\)], "Print",
  CellTags->"Info3388419219-2935915"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(QOpen[file2]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(QCheck[file2, "\<22\>"]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(QPut[file2, "\<22\>", "\<3\>"]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(QList[file1]\)], "Input"],

Cell[BoxData[
    \({"-420", "-419", "-418", "-417", "-416", "-415", "-414", "-413", 
      "-412", "-411", "-410", "-409", "-408", "-407", "-406", "-405", "-404", 
      "-403", "-402", "-401", "-400", "-399", "-398", "-397", "-396", "-395", 
      "-394", "-393", "-392", "-391", "-390", "-389", "-388", "-387", "-386", 
      "-385", "-384", "-383", "-382", "-381", "-380", "-379", "-378", "-377", 
      "-376", "-375", "-374", "-373", "-372", "-371", "-370", "-369", "-368", 
      "-367", "-366", "-365", "-364", "-363", "-362", "-361", "-360", "-359", 
      "-358", "-357", "-356", "-355", "-354", "-353", "-352", "-351", "-350", 
      "-349", "-348", "-347", "-346", "-345", "-344", "-343", "-342", "-341", 
      "-340", "-339", "-338", "-337", "-336", "-335", "-334", "-333", "-332", 
      "-331", "-330", "-329", "-328", "-327", "-326", "-325", "-324", "-323", 
      "-322", "-321", "-320", "-319", "-318", "-317", "-316", "-315", "-314", 
      "-313", "-312", "-311", "-310", "-309", "-308", "-307", "-306", "-305", 
      "-304", "-303", "-302", "-301", "-300", "-299", "-298", "-297", "-296", 
      "-295", "-294", "-293", "-292", "-291", "-290", "-289", "-288", "-287", 
      "-286", "-285", "-284", "-283", "-282", "-281", "-280", "-279", "-278", 
      "-277", "-276", "-275", "-274", "-273", "-272", "-271", "-270", "-269", 
      "-268", "-267", "-266", "-265", "-264", "-263", "-262", "-261", "-260", 
      "-259", "-258", "-257", "-256", "-255", "-254", "-253", "-252", "-251", 
      "-250", "-249", "-248", "-247", "-246", "-245", "-244", "-243", "-242", 
      "-241", "-240", "-239", "-238", "-237", "-236", "-235", "-234", "-233", 
      "-232", "-231", "-230", "-229", "-228", "-227", "-226", "-225", "-224", 
      "-223", "-222", "-221", "-220", "-219", "-218", "-217", "-216", "-215", 
      "-214", "-213", "-212", "-211", "-210", "-209", "-208", "-207", "-206", 
      "-205", "-204", "-203", "-202", "-201", "-200", "-199", "-198", "-197", 
      "-196", "-195", "-194", "-193", "-192", "-191", "-190", "-189", "-188", 
      "-187", "-186", "-185", "-184", "-183", "-182", "-181", "-180", "-179", 
      "-178", "-177", "-176", "-175", "-174", "-173", "-172", "-171", "-170", 
      "-169", "-168", "-167", "-166", "-165", "-164", "-163", "-162", "-161", 
      "-160", "-159", "-158", "-157", "-156", "-155", "-154", "-153", "-152", 
      "-151", "-150", "-149", "-148", "-147", "-146", "-145", "-144", "-143", 
      "-142", "-141", "-140", "-139", "-138", "-137", "-136", "-135", "-134", 
      "-133", "-132", "-131", "-130", "-129", "-128", "-127", "-126", "-125", 
      "-124", "-123", "-122", "-121", "-120", "-119", "-118", "-117", "-116", 
      "-115", "-114", "-113", "-112", "-111", "-110", "-109", "-108", "-107", 
      "-106", "-105", "-104", "-103", "-102", "-101", "-100", "-99", "-98", 
      "-97", "-96", "-95", "-94", "-93", "-92", "-91", "-90", "-89", "-88", 
      "-87", "-86", "-85", "-84", "-83", "-82", "-81", "-80", "-79", "-78", 
      "-77", "-76", "-75", "-74", "-73", "-72", "-71", "-70", "-69", "-68", 
      "-67", "-66", "-65", "-64", "-63", "-62", "-61", "-60", "-59", "-58", 
      "-57", "-56", "-55", "-54", "-53", "-52", "-51", "-50", "-49", "-48", 
      "-47", "-46", "-45", "-44", "-43", "-42", "-41", "-40", "-39", "-38", 
      "-37", "-36", "-35", "-34", "-33", "-32", "-31", "-30", "-29", "-28", 
      "-27", "-26", "-25", "-24", "-23", "-22", "-21", "-20", "-19", "-18", 
      "-17", "-16", "-15", "-14", "-13", "-12", "-11", "-10", "-9", "-8", 
      "-7", "-6", "-5", "-4", "-3", "-2", "-1", "1", "2", "81", "82", "83", 
      "84", "85", "86", "87", "88", "89", "92", "93", "96", "101", "102", 
      "104", "105", "108", "111", "112", "114", "115", "119", "120", "122", 
      "124", "125", "127", "130", "132", "134", "136", "141", "149", "150", 
      "153", "154", "160", "162", "169", "170", "172", "173", "177", "180", 
      "181", "182", "185", "188", "193", "194", "200", "201", "204", "210", 
      "212", "219", "220", "222", "223", "227", "229", "230", "231", "232", 
      "234", "239", "246", "247", "252", "254", "258", "261", "262", "264", 
      "265", "269", "270", "272", "274", "283", "284", "289", "290", "291", 
      "293", "296", "299", "301", "304", "306", "307", "308", "309", "310", 
      "313", "315", "316", "318", "323", "324", "329", "330", "334", "335", 
      "337", "338", "343", "348", "349", "350", "351", "353", "356", "358", 
      "360", "361", "364", "365", "367", "368", "369", "370", "377", "378", 
      "383", "384", "385", "387", "390", "393", "394", "395", "396", "1455", 
      "399", "401", "402", "403", "404", "406", "407", "412", "413", "417", 
      "418", "421", "425", "427", "429", "430", "431", "432", "437", "439", 
      "441", "476", "445", "447", "449", "450", "451", "457", "458", "460", 
      "464", "465", "467", "472", "473", "474", "478", "480", "482", "484", 
      "485", "488", "489", "493", "494", "501", "508", "510", "514", "515", 
      "519", "521", "522", "528", "531", "537", "538", "539", "541", "544", 
      "546", "549", "556", "559", "574", "585", "589", "673", "685", "689", 
      "694", "695", "766", "770", "774", "775", "776", "777", "780", "787", 
      "799", "800", "806", "807", "808", "809", "810", "811", "812", "813", 
      "814", "815", "816", "817", "818", "819", "820", "822", "823", "825", 
      "827", "828", "829", "830", "831", "832", "833", "834", "835", "836", 
      "837", "838", "839", "840", "841", "842", "843", "844", "845", "846", 
      "847", "848", "849", "850", "851", "852", "853", "854", "891", "892", 
      "893", "894", "895", "896", "897", "898", "899", "900", "901", "902", 
      "903", "904", "905", "906", "907", "908", "909", "910", "911", "912", 
      "913", "914", "915", "916", "917", "918", "919", "920", "921", "922", 
      "923", "924", "925", "926", "927", "928", "929", "930", "931", "932", 
      "933", "935", "936", "937", "938", "939", "940", "941", "942", "943", 
      "944", "945", "946", "947", "948", "949", "950", "951", "952", "953", 
      "954", "955", "956", "957", "958", "959", "960", "961", "962", "963", 
      "964", "965", "966", "967", "968", "969", "970", "971", "972", "973", 
      "974", "975", "976", "977", "978", "979", "980", "981", "982", "983", 
      "984", "985", "986", "987", "988", "989", "990", "991", "992", "993", 
      "994", "995", "996", "997", "998", "999", "1000", "1001", "1002", 
      "1003", "1004", "1005", "1006", "1007", "1008", "1009", "1010", "1011", 
      "1012", "1013", "1014", "1015", "1016", "1017", "1018", "1019", "1020", 
      "1021", "1022", "1023", "1024", "1025", "1026", "1027", "1028", "1029", 
      "1030", "1031", "1032", "1033", "1034", "1035", "1036", "1037", "1038", 
      "1039", "1040", "1041", "1042", "1043", "1044", "1045", "1046", "1047", 
      "1048", "1049", "1050", "1051", "1052", "1053", "1054", "1055", "1056", 
      "1057", "1058", "1059", "1060", "1061", "1062", "1063", "1064", "1065", 
      "1066", "1067", "1068", "1069", "1070", "1071", "1072", "1073", "1074", 
      "1075", "1076", "1077", "1078", "1079", "1080", "1081", "1082", "1083", 
      "1084", "1085", "1086", "1087", "1088", "1089", "1090", "1091", "1092", 
      "1093", "1094", "1095", "1096", "1097", "1101", "1102", "1108", "1120", 
      "1124", "1128", "1134", "1137", "1138", "1143", "1151", "1152", "1156", 
      "1162", "1164", "1169", "1170", "1171", "1172", "1175", "1179", "1180", 
      "1181", "1183", "1185", "1190", "1197", "1198", "1201", "1206", "1208", 
      "1213", "1214", "1215", "1216", "1219", "1222", "1223", "1224", "1225", 
      "1226", "1227", "1228", "1232", "1233", "1239", "1242", "1248", "1251", 
      "1253", "1487", "1255", "1256", "1258", "1260", "1263", "1264", "1265", 
      "1267", "1274", "1281", "1286", "1288", "1293", "1294", "1295", "1296", 
      "1303", "1305", "1312", "1313", "1318", "1319", "1320", "1321", "1322", 
      "1327", "1329", "1331", "1333", "1334", "1335", "1336", "1338", "1339", 
      "1340", "1341", "1342", "1344", "1346", "1351", "1352", "1356", "1357", 
      "1359", "1360", "1364", "1368", "1369", "1371", "1372", "1375", "1376", 
      "1379", "1384", "1391", "1392", "1399", "1402", "1405", "1406", "1407", 
      "1408", "1410", "1413", "1419", "1420", "1424", "1425", "1435", "1436", 
      "1437", "1441", "1445", "1446", "1448", "1454", "1461", "1462", "1464", 
      "1469", "1475", "1476", "1478", "1481", "1482", "1486", "1491", "1492", 
      "1498", "1503", "1504", "1508", "1513", "1514", "1520", "1523", "1528", 
      "1529", "1530", "1533", "1534", "1536", "-1901", "-1900", "-1899", 
      "-1898", "-1897", "-1896", "-1895", "-1894", "-1893", "-1892", "-1891", 
      "-1890", "-1889", "-1888", "-1887", "-1886", "-1885", "-1884", "-1883", 
      "-1882", "-1881", "-1880", "-1879", "-1878", "-1877", "-1876", "-1875", 
      "-1874", "-1873", "-1872", "-1871", "-1870", "-1869", "-1868", "-1867", 
      "-1866", "-1865", "-1864", "-1863", "-1862", "-1861", "-1860", "-1859", 
      "-1858", "-1857", "-1856", "-1855", "-1854", "-1853", "-1852", "-1851", 
      "-1850", "-1849", "-1848", "-1847", "-1846", "-1845", "-1844", "-1843", 
      "-1842", "-1841", "-1840", "-1839", "-1838", "-1837", "-1836", "-1835", 
      "-1834", "-1833", "-1832", "-1831", "-1830", "-1829", "-1828", "-1827", 
      "-1826", "-1825", "-1824", "-1823", "-1822", "-1821", "-1820", "-1819", 
      "-1818", "-1817", "-1816", "-1815", "-1814", "-1813", "-1812", "-1811", 
      "-1810", "-1809", "-1808", "-1807", "-1806", "-1805", "-1804", "-1803", 
      "-1802", "-1801", "-1800", "-1799", "-1798", "-1797", "-1796", "-1795", 
      "-1794", "-1793", "-1792", "-1791", "-1790", "-1789", "-1788", "-1787", 
      "-1786", "-1785", "-1784", "-1783", "-1782", "-1781", "-1780", "-1779", 
      "-1778", "-1777", "-1776", "-1775", "-1774", "-1773", "-1772", "-1771", 
      "-1770", "-1769", "-1768", "-1767", "-1766", "-1765", "-1764", "-1763", 
      "-1762", "-1761", "-1760", "-1759", "-1758", "-1757", "-1756", "-1755", 
      "-1754", "-1753", "-1752", "-1751", "-1750", "-1749", "-1748", "-1747", 
      "-1746", "-1745", "-1744", "-1743", "-1742", "-1741", "-1740", "-1739", 
      "-1738", "-1737", "-1736", "-1735", "-1734", "-1733", "-1732", "-1731", 
      "-1730", "-1729", "-1728", "-1727", "-1726", "-1725", "-1724", "-1723", 
      "-1722", "-1721", "-1720", "-1719", "-1718", "-1717", "-1716", "-1715", 
      "-1714", "-1713", "-1712", "-1711", "-1710", "-1709", "-1708", "-1707", 
      "-1706", "-1705", "-1704", "-1703", "-1702", "-1701", "-1700", "-1699", 
      "-1698", "-1697", "-1696", "-1695", "-1694", "-1693", "-1692", "-1691", 
      "-1690", "-1689", "-1688", "-1687", "-1686", "-1685", "-1684", "-1683", 
      "-1682", "-1681", "-1680", "-1679", "-1678", "-1677", "-1676", "-1675", 
      "-1674", "-1673", "-1672", "-1671", "-1670", "-1669", "-1668", "-1667", 
      "-1666", "-1665", "-1664", "-1663", "-1662", "-1661", "-1660", "-1659", 
      "-1658", "-1657", "-1656", "-1655", "-1654", "-1653", "-1652", "-1651", 
      "-1650", "-1649", "-1648", "-1647", "-1646", "-1645", "-1644", "-1643", 
      "-1642", "-1641", "-1640", "-1639", "-1638", "-1637", "-1636", "-1635", 
      "-1634", "-1633", "-1632", "-1631", "-1630", "-1629", "-1628", "-1627", 
      "-1626", "-1625", "-1624", "-1623", "-1622", "-1621", "-1620", "-1619", 
      "-1618", "-1617", "-1616", "-1615", "-1614", "-1613", "-1612", "-1611", 
      "-1610", "-1609", "-1608", "-1607", "-1606", "-1605", "-1604", "-1603", 
      "-1602", "-1601", "-1600", "-1599", "-1598", "-1597", "-1596", "-1595", 
      "-1594", "-1593", "-1592", "-1591", "-1590", "-1589", "-1588", "-1587", 
      "-1586", "-1585", "-1584", "-1583", "-1582", "-1581", "-1580", "-1579", 
      "-1578", "-1577", "-1576", "-1575", "-1574", "-1573", "-1572", "-1571", 
      "-1570", "-1569", "-1568", "-1567", "-1566", "-1565", "-1564", "-1563", 
      "-1562", "-1561", "-1560", "-1559", "-1558", "-1557", "-1556", "-1555", 
      "-1554", "-1553", "-1552", "-1551", "-1550", "-1549", "-1548", "-1547", 
      "-1546", "-1545", "-1544", "-1543", "-1542", "-1541", "-1540", "-1539", 
      "-1538", "-1537", "-1536", "-1535", "-1534", "-1533", "-1532", "-1531", 
      "-1530", "-1529", "-1528", "-1527", "-1526", "-1525", "-1524", "-1523", 
      "-1522", "-1521", "-1520", "-1519", "-1518", "-1517", "-1516", "-1515", 
      "-1514", "-1513", "-1512", "-1511", "-1510", "-1509", "-1508", "-1507", 
      "-1506", "-1505", "-1504", "-1503", "-1502", "-1501", "-1500", "-1499", 
      "-1498", "-1497", "-1496", "-1495", "-1494", "-1493", "-1492", "-1491", 
      "-1490", "-1489", "-1488", "-1487", "-1486", "-1485", "-1484", "-1483", 
      "-1482", "-1481", "-1480", "-1479", "-1478", "-1477", "-1476", "-1475", 
      "-1474", "-1473", "-1472", "-1471", "-1470", "-1469", "-1468", "-1467", 
      "-1466", "-1465", "-1464", "-1463", "-1462", "-1461", "-1460", "-1459", 
      "-1458", "-1457", "-1456", "-1455", "-1454", "-1453", "-1452", "-1451", 
      "-1450", "-1449", "-1448", "-1447", "-1446", "-1445", "-1444", "-1443", 
      "-1442", "-1441", "-1440", "-1439", "-1438", "-1437", "-1436", "-1435", 
      "-1434", "-1433", "-1432", "-1431", "-1430", "-1429", "-1428", "-1427", 
      "-1426", "-1425", "-1424", "-1423", "-1422", "-1421", "-1420", "-1419", 
      "-1418", "-1417", "-1416", "-1415", "-1414", "-1413", "-1412", "-1411", 
      "-1410", "-1409", "-1408", "-1407", "-1406", "-1405", "-1404", "-1403", 
      "-1402", "-1401", "-1400", "-1399", "-1398", "-1397", "-1396", "-1395", 
      "-1394", "-1393", "-1392", "-1391", "-1390", "-1389", "-1388", "-1387", 
      "-1386", "-1385", "-1384", "-1383", "-1382", "-1381", "-1380", "-1379", 
      "-1378", "-1377", "-1376", "-1375", "-1374", "-1373", "-1372", "-1371", 
      "-1370", "-1369", "-1368", "-1367", "-1366", "-1365", "-1364", "-1363", 
      "-1362", "-1361", "-1360", "-1359", "-1358", "-1357", "-1356", "-1355", 
      "-1354", "-1353", "-1352", "-1351", "-1350", "-1349", "-1348", "-1347", 
      "-1346", "-1345", "-1344", "-1343", "-1342", "-1341", "-1340", "-1339", 
      "-1338", "-1337", "-1336", "-1335", "-1334", "-1333", "-1332", "-1331", 
      "-1330", "-1329", "-1328", "-1327", "-1326", "-1325", "-1324", "-1323", 
      "-1322", "-1321", "-1320", "-1319", "-1318", "-1317", "-1316", "-1315", 
      "-1314", "-1313", "-1312", "-1311", "-1310", "-1309", "-1308", "-1307", 
      "-1306", "-1305", "-1304", "-1303", "-1302", "-1301", "-1300", "-1299", 
      "-1298", "-1297", "-1296", "-1295", "-1294", "-1293", "-1292", "-1291", 
      "-1290", "-1289", "-1288", "-1287", "-1286", "-1285", "-1284", "-1283", 
      "-1282", "-1281", "-1280", "-1279", "-1278", "-1277", "-1276", "-1275", 
      "-1274", "-1273", "-1272", "-1271", "-1270", "-1269", "-1268", "-1267", 
      "-1266", "-1265", "-1264", "-1263", "-1262", "-1261", "-1260", "-1259", 
      "-1258", "-1257", "-1256", "-1255", "-1254", "-1253", "-1252", "-1251", 
      "-1250", "-1249", "-1248", "-1247", "-1246", "-1245", "-1244", "-1243", 
      "-1242", "-1241", "-1240", "-1239", "-1238", "-1237", "-1236", "-1235", 
      "-1234", "-1233", "-1232", "-1231", "-1230", "-1229", "-1228", "-1227", 
      "-1226", "-1225", "-1224", "-1223", "-1222", "-1221", "-1220", "-1219", 
      "-1218", "-1217", "-1216", "-1215", "-1214", "-1213", "-1212", "-1211", 
      "-1210", "-1209", "-1208", "-1207", "-1206", "-1205", "-1204", "-1203", 
      "-1202", "-1201", "-1200", "-1199", "-1198", "-1197", "-1196", "-1195", 
      "-1194", "-1193", "-1192", "-1191", "-1190", "-1189", "-1188", "-1187", 
      "-1186", "-1185", "-1184", "-1183", "-1182", "-1181", "-1180", "-1179", 
      "-1178", "-1177", "-1176", "-1175", "-1174", "-1173", "-1172", "-1171", 
      "-1170", "-1169", "-1168", "-1167", "-1166", "-1165", "-1164", "-1163", 
      "-1162", "-1161", "-1160", "-1159", "-1158", "-1157", "-1156", "-1155", 
      "-1154", "-1153", "-1152", "-1151", "-1150", "-1149", "-1148", "-1147", 
      "-1146", "-1145", "-1144", "-1143", "-1142", "-1141", "-1140", "-1139", 
      "-1138", "-1137", "-1136", "-1135", "-1134", "-1133", "-1132", "-1131", 
      "-1130", "-1129", "-1128", "-1127", "-1126", "-1125", "-1124", "-1123", 
      "-1122", "-1121", "-1120", "-1119", "-1118", "-1117", "-1116", "-1115", 
      "-1114", "-1113", "-1112", "-1111", "-1110", "-1109", "-1108", "-1107", 
      "-1106", "-1105", "-1104", "-1103", "-1102", "-1101", "-1100", "-1099", 
      "-1098", "-1097", "-1096", "-1095", "-1094", "-1093", "-1092", "-1091", 
      "-1090", "-1089", "-1088", "-1087", "-1086", "-1085", "-1084", "-1083", 
      "-1082", "-1081", "-1080", "-1079", "-1078", "-1077", "-1076", "-1075", 
      "-1074", "-1073", "-1072", "-1071", "-1070", "-1069", "-1068", "-1067", 
      "-1066", "-1065", "-1064", "-1063", "-1062", "-1061", "-1060", "-1059", 
      "-1058", "-1057", "-1056", "-1055", "-1054", "-1053", "-1052", "-1051", 
      "-1050", "-1049", "-1048", "-1047", "-1046", "-1045", "-1044", "-1043", 
      "-1042", "-1041", "-1040", "-1039", "-1038", "-1037", "-1036", "-1035", 
      "-1034", "-1033", "-1032", "-1031", "-1030", "-1029", "-1028", "-1027", 
      "-1026", "-1025", "-1024", "-1023", "-1022", "-1021", "-1020", "-1019", 
      "-1018", "-1017", "-1016", "-1015", "-1014", "-1013", "-1012", "-1011", 
      "-1010", "-1009", "-1008", "-1007", "-1006", "-1005", "-1004", "-1003", 
      "-1002", "-1001", "-1000", "-999", "-998", "-997", "-996", "-995", 
      "-994", "-993", "-992", "-991", "-990", "-989", "-988", "-987", "-986", 
      "-985", "-984", "-983", "-982", "-981", "-980", "-979", "-978", "-977", 
      "-976", "-975", "-974", "-973", "-972", "-971", "-970", "-969", "-968", 
      "-967", "-966", "-965", "-964", "-963", "-962", "-961", "-960", "-959", 
      "-958", "-957", "-956", "-955", "-954", "-953", "-952", "-951", "-950", 
      "-949", "-948", "-947", "-946", "-945", "-944", "-943", "-942", "-941", 
      "-940", "-939", "-938", "-937", "-936", "-935", "-934", "-933", "-932", 
      "-931", "-930", "-929", "-928", "-927", "-926", "-925", "-924", "-923", 
      "-922", "-921", "-920", "-919", "-918", "-917", "-916", "-915", "-914", 
      "-913", "-912", "-911", "-910", "-909", "-908", "-907", "-906", "-905", 
      "-904", "-903", "-902", "-901", "-900", "-899", "-898", "-897", "-896", 
      "-895", "-894", "-893", "-892", "-891", "-890", "-889", "-888", "-887", 
      "-886", "-885", "-884", "-883", "-882", "-881", "-880", "-879", "-878", 
      "-877", "-876", "-875", "-874", "-873", "-872", "-871", "-870", "-869", 
      "-868", "-867", "-866", "-865", "-864", "-863", "-862", "-861", "-860", 
      "-859", "-858", "-857", "-856", "-855", "-854", "-853", "-852", "-851", 
      "-850", "-849", "-848", "-847", "-846", "-845", "-844", "-843", "-842", 
      "-841", "-840", "-839", "-838", "-837", "-836", "-835", "-834", "-833", 
      "-832", "-831", "-830", "-829", "-828", "-827", "-826", "-825", "-824", 
      "-823", "-822", "-821", "-820", "-819", "-818", "-817", "-816", "-815", 
      "-814", "-813", "-812", "-811", "-810", "-809", "-808", "-807", "-806", 
      "-805", "-804", "-803", "-802", "-801", "-800", "-799", "-798", "-797", 
      "-796", "-795", "-794", "-793", "-792", "-791", "-790", "-789", "-788", 
      "-787", "-786", "-785", "-784", "-783", "-782", "-781", "-780", "-779", 
      "-778", "-777", "-776", "-775", "-774", "-773", "-772", "-771", "-770", 
      "-769", "-768", "-767", "-766", "-765", "-764", "-763", "-762", "-761", 
      "-760", "-759", "-758", "-757", "-756", "-755", "-754", "-753", "-752", 
      "-751", "-750", "-749", "-748", "-747", "-746", "-745", "-744", "-743", 
      "-742", "-741", "-740", "-739", "-738", "-737", "-736", "-735", "-734", 
      "-733", "-732", "-731", "-730", "-729", "-728", "-727", "-726", "-725", 
      "-724", "-723", "-722", "-721", "-720", "-719", "-718", "-717", "-716", 
      "-715", "-714", "-713", "-712", "-711", "-710", "-709", "-708", "-707", 
      "-706", "-705", "-704", "-703", "-702", "-701", "-700", "-699", "-698", 
      "-697", "-696", "-695", "-694", "-693", "-692", "-691", "-690", "-689", 
      "-688", "-687", "-686", "-685", "-684", "-683", "-682", "-681", "-680", 
      "-679", "-678", "-677", "-676", "-675", "-674", "-673", "-672", "-671", 
      "-670", "-669", "-668", "-667", "-666", "-665", "-664", "-663", "-662", 
      "-661", "-660", "-659", "-658", "-657", "-656", "-655", "-654", "-653", 
      "-652", "-651", "-650", "-649", "-648", "-647", "-646", "-645", "-644", 
      "-643", "-642", "-641", "-640", "-639", "-638", "-637", "-636", "-635", 
      "-634", "-633", "-632", "-631", "-630", "-629", "-628", "-627", "-626", 
      "-625", "-624", "-623", "-622", "-621", "-620", "-619", "-618", "-617", 
      "-616", "-615", "-614", "-613", "-612", "-611", "-610", "-609", "-608", 
      "-607", "-606", "-605", "-604", "-603", "-602", "-601", "-600", "-599", 
      "-598", "-597", "-596", "-595", "-594", "-593", "-592", "-591", "-590", 
      "-589", "-588", "-587", "-586", "-585", "-584", "-583", "-582", "-581", 
      "-580", "-579", "-578", "-577", "-576", "-575", "-574", "-573", "-572", 
      "-571", "-570", "-569", "-568", "-567", "-566", "-565", "-564", "-563", 
      "-562", "-561", "-560", "-559", "-558", "-557", "-556", "-555", "-554", 
      "-553", "-552", "-551", "-550", "-549", "-548", "-547", "-546", "-545", 
      "-544", "-543", "-542", "-541", "-540", "-539", "-538", "-537", "-536", 
      "-535", "-534", "-533", "-532", "-531", "-530", "-529", "-528", "-527", 
      "-526", "-525", "-524", "-523", "-522", "-521", "-520", "-519", "-518", 
      "-517", "-516", "-515", "-514", "-513", "-512", "-511", "-510", "-509", 
      "-508", "-507", "-506", "-505", "-504", "-503", "-502", "-501", "-500", 
      "-499", "-498", "-497", "-496", "-495", "-494", "-493", "-492", "-491", 
      "-490", "-489", "-488", "-487", "-486", "-485", "-484", "-483", "-482", 
      "-481", "-480", "-479", "-478", "-477", "-476", "-475", "-474", "-473", 
      "-472", "-471", "-470", "-469", "-468", "-467", "-466", "-465", "-464", 
      "-463", "-462", "-461", "-460", "-459", "-458", "-457", "-456", "-455", 
      "-454", "-453", "-452", "-451", "-450", "-449", "-448", "-447", "-446", 
      "-445", "-444", "-443", "-442", "-441", "-440", "-439", "-438", "-437", 
      "-436", "-435", "-434", "-433", "-432", "-431", "-430", "-429", "-428", 
      "-427", "-426", "-425", "-424", "-423", "-422", "-421", "553", "562", 
      "570", "577", "580", "584", "676", "679", "688", "727", "767", "768", 
      "769", "782", "1541", "1543", "1545", "1547", "1550", "1551", "1553", 
      "1556", "1557", "1558", "1559", "1560", "1564", "1565", "1571", "1572", 
      "1573", "1574", "1575", "1576", "1577", "1578", "1581", "1586", "1588", 
      "1590", "1592", "1594", "1595", "1596", "1597", "1601", "1602", "1604", 
      "1607", "1608", "1610", "1611", "1616", "1620", "1622", "1623", "1624", 
      "1626", "1628", "1630", "1632", "1636", "1637", "1638", "1639", "1643", 
      "1645", "1648", "1649", "1651", "1659", "1660", "1661", "1663", "1664", 
      "1666", "1668", "1670", "1671", "1672", "1673", "1674", "1675", "1679", 
      "1680", "1682", "1685", "1686", "1687", "1688", "1689", "1690", "1694", 
      "1695", "1698", "1699", "1700", "1701", "1703", "1705", "1707", "1708", 
      "1710", "1711", "1712", "1713", "1714", "1715", "1719", "1721", "1724", 
      "1725", "1726", "1727", "1728", "1729", "1731", "1732", "1736", "1738", 
      "1739", "1740", "1742", "1744", "1745", "1747", "1749", "1751", "1752", 
      "1753", "1755", "1759", "1760", "1761", "1762", "1763", "1764", "1768", 
      "1769", "1773", "1774", "1775", "1776", "1778", "1780", "1782", "1785", 
      "1786", "1787", "1788", "1792", "1793", "1795", "1798", "1800", "1801", 
      "1805", "1806", "1810", "1812", "1813", "1815", "1817", "1819", "1822", 
      "1824", "1825", "1826", "1830", "1832", "1835", "1836", "1837", "1841", 
      "1842", "1846", "1848", "1850", "1852", "1854", "1856", "1857", "1858", 
      "1859", "1864", "1865", "1866", "1867", "1868", "1869", "1872", "1873", 
      "1878", "1879", "1881", "1883", "1884", "1886", "1887", "1888", "1891", 
      "1893", "1894", "1895", "1896", "1899", "1900", "1905", "1907", "1909", 
      "1911", "1914", "1918", "1922", "1923", "1924", "1925", "1926", "1930", 
      "1934", "1936", "1938", "1940", "1944", "1945", "1946", "1947", "1949", 
      "1950", "1954", "1958", "1959", "1960", "1961", "1962", "1963", "1965", 
      "1966", "1967", "1968", "1969", "1970", "1971", "1972", "1973", "1974", 
      "1975", "1976", "1977", "1978", "1979", "1980", "1983", "1988", "1990", 
      "1997", "1998", "1999", "2003", "2004", "2006", "2009", "2010", "2013", 
      "2018", "2022", "2024", "2025", "2029", "2034", "2036", "2043", "2044", 
      "2045", "2049", "2051", "2054", "2057", "2066", "2067", "2070", "2072", 
      "2074", "2080", "2081", "2083", "2087", "2089", "2092", "2095", "2103", 
      "2104", "2108", "2112", "2114", "2121", "2122", "2123", "2127", "2128", 
      "2130", "2133", "2134", "2137", "2141", "2144", "2145", "2146", "2147", 
      "2149", "2150", "2152", "2158", "2159", "2160", "2161", "2165", "2166", 
      "2168", "2172", "2173", "2176", "2180", "2181", "2184", "2185", "2186", 
      "2187", "2189", "2190", "2192", "2193", "2195", "2196", "2197", "2198", 
      "2199", "2200", "2204", "2206", "2209", "2210", "2211", "2212", "2213", 
      "2214", "2216", "2217", "2220", "2221", "2222", "2223", "2225", "2227", 
      "2229", "2230", "2232", "2233", "2234", "2235", "2237", "2241", "2243", 
      "2246", "2247", "2248", "2249", "2250", "2251", "2254", "2258", "2260", 
      "2261", "2262", "2264", "2267", "2268", "2275", "2276", "2277", "2279", 
      "2280", "2282", "2285", "2286", "2288", "2289", "2293", "2298", "2299", 
      "2302", "2304", "2305", "2311", "2312", "2314", "2317", "2319", "2322", 
      "2323", "2324", "2332", "2333", "2336", "2337", "2338", "2344", "2345", 
      "2348", "2352", "2353", "2354", "2356", "2357", "2362", "2365", "2366", 
      "2367", "2368", "2370", "2372", "2373", "2374", "2376", "2377", "2378", 
      "2379", "2385", "2386", "2387", "2388", "2389", "2390", "2392", "2393", 
      "2397", "2398", "2399", "2400", "2402", "2404", "2405", "2411", "2412", 
      "2415", "2419", "2420", "2421", "2423", "2424", "2429", "2434", "2435", 
      "2439", "2444", "2446", "2450", "2451", "2452", "2453", "2457", "2458", 
      "2460", "2463", "2466", "2471", "2475", "2477", "2478", "2480", "2482", 
      "2484", "2487", "2488", "2489", "2490", "2494", "2496", "2499", "2500", 
      "2502", "2510", "2511", "2513", "2514", "2516", "2519", "2520", "2521", 
      "2522", "2526", "2527", "2529", "2535", "2540", "2544", "2545", "2546", 
      "2549", "2551", "2553", "2554", "2556", "2558", "2559", "2560", "2564", 
      "2566", "2569", "2570", "2571", "2572", "2573", "2576", "2581", "2583", 
      "2584", "2585", "2587", "2589", "2591", "2594", "2595", "2596", "2597", 
      "2601", "2602", "2604", "2610", "2615", "2621", "2622", "2625", "2630", 
      "2632", "2638", "2639", "2643", "2645", "2648", "2649", "2650", "2655", 
      "2659", "2661", "2663", "2665", "2667", "2672", "2674", "2678", "2680", 
      "2683", "2685", "2693", "2695", "2696", "2698", "2703", "2704", "2705", 
      "2709", "2711", "2714", "2716", "2720", "2721", "2725", "2726", "2727", 
      "2729", "2731", "2732", "2735", "2737", "2738", "2739", "2741", "2743", 
      "2746", "2747", "2748", "2749", "2753", "2758", "2760", "2762", "2764", 
      "2767", "2768", "2769", "2773", "2775", "2778", "2780", "2785", "2789", 
      "2791", "2793", "2795", "2797", "2802", "2804", "2808", "2810", "2813", 
      "2815", "2820", "2824", "2826", "2829", "2832", "2834", "2836", "2837", 
      "2838", "2842", "2843", "2846", "2847", "2848", "2849", "2850", "2854", 
      "2859", "2860", "2861", "2863", "2865", "2867", "2869", "2870", "2871", 
      "2875", "2876", "2879", "2880", "2882", "2889", "2890", "2891", "2893", 
      "2894", "2896", "2898", "2899", "2900", "2901", "2907", "2908", "2909", 
      "2911", "2914", "2915", "2918", "2919", "2921", "2923", "2925", "2927", 
      "2928", "2929", "2930", "2935", "2936", "2937", "2938", "2939", "2940", 
      "2941", "2942", "2947", "2948", "2950", "2952", "2953", "2955", "2956", 
      "2957", "2960", "2961", "2962", "2963", "2964", "2965", "2968", "2969", 
      "2973", "2974", "2976", "2978", "2980", "2983", "2984", "2985", "2991", 
      "2993", "2996", "3001", "3003", "3005", "3007", "3009", "3010", "3011", 
      "3012", "3018", "3019", "3020", "3022", "3025", "3026", "3031", "3032", 
      "3035", "3037", "3039", "3040", "3041", "3044", "3046", "3050", "3054", 
      "3059", "3062", "3064", "3066", "3067", "3068", "3071", "3073", "3077", 
      "3084", "3086", "3088", "3091", "3092", "3096", "3101", "3105", "3108", 
      "3110", "3112", "3113", "3114", "3115", "3116", "3120", "3122", "3123", 
      "3124", "3125", "3128", "3133", "3135", "3136", "3139", "3140", "3143", 
      "3145", "3146", "3150", "3156", "3158", "3160", "3162", "3163", "3164", 
      "3167", "3172", "3176", "3181", "3183", "3185", "3186", "3188", "3190", 
      "3194", "3196", "3198", "3203", "3208", "3210", "3212", "3213", "3214", 
      "3215", "3220", "3222", "3224", "3225", "3230", "3232", "3234", "3237", 
      "3238", "3242", "3247", "3251", "3259", "3264", "3266", "3270", "3274", 
      "3278", "3279", "3281", "3286", "3290", "3292", "3294", "3296", "3298", 
      "3301", "3305", "3309", "3312", "3320", "3322", "3323", "3325", "3328", 
      "3332", "3337", "3338", "3340", "3344", "3347", "3348", "3349", "3350", 
      "3352", "3354", "3356", "3359", "3363", "3369", "3373", "3377", "3380", 
      "3382", "3384", "3387", "3391", "3396", "3400", "3404", "3407", "3409", 
      "3411", "3414", "3415", "3419", "3423", "3424", "3426", "3429", "3434", 
      "3436", "3438", "3440", "3442", "3448", "3451", "3457", "3459", "3461", 
      "3464", "3468", "3473", "3474", "3476", "3480", "3484", "3486", "3489", 
      "3491", "3496", "3497", "3500", "3501", "3503", "3504", "3508", "3512", 
      "3514", "3516", "3520", "3521", "3523", "3527", "3529", "3531", "3538", 
      "3539", "3541", "3543", "3547", "3548", "3550", "3552", "3553", "3557", 
      "3559", "3560", "3561", "3563", "3565", "3567", "3568", "3569", "3572", 
      "3573", "3575", "3579", "3580", "3581", "3583", "3584", "3588", "3589", 
      "3591", "3593", "3597", "3600", "3601", "3603", "3605", "3607", "3610", 
      "3611", "3612", "3614", "3615", "3619", "3624", "3626", "3628", "3632", 
      "3633", "3635", "3638", "3640", "3642", "3646", "3650", "3652", "3654", 
      "3656", "3657", "3658", "3659", "3662", "3666", "3667", "3669", "3671", 
      "3673", "3674", "3676", "3677", "3680", "3685", "3687", "3689", "3692", 
      "3695", "3697", "3701", "3707", "3709", "3713", "3714", "3716", "3718", 
      "3719", "3723", "3727", "3728", "1131", "1133", "1178", "1229", "1230", 
      "1231", "1243", "1244", "1247", "1271", "1272", "1273", "1275", "1276", 
      "1277", "1282", "1283", "1414", "1415", "1483", "1484", "1540", "1554", 
      "1555", "1579", "1585", "1658", "1702", "1709", "1716", "1723", "1741", 
      "1743", "1754", "1757", "1758", "1777", "1779", "1814", "1816", "1827", 
      "1834", "1849", "1851", "1855", "1863", "1880", "1906", "1908", "1915", 
      "1921", "1937", "2547", "2548", "2550", "2555", "2728", "2730", "2744", 
      "2982", "3034", "3155", "3157", "3182", "3413", "3435", "3437", "3488", 
      "3604", "3625", "3636", "3641", "3693", "3738", "3741", "3743", "3745", 
      "3750", "3751", "3753", "3756", "3759", "3761", "3762", "3763", "3764", 
      "3765", "3766", "3767", "3768", "3769", "3770", "3771", "3772", "3775", 
      "3778", "3781", "3783", "3787", "3790", "3791", "3792", "3795", "3796", 
      "3798", "3801", "3803", "3804", "3805", "3806", "3807", "3808", "3809", 
      "3810", "3811", "3812", "3816", "3824", "3827", "3832", "3834", "3835", 
      "3842", "3843", "3848", "3852", "3853", "3854", "3855", "3856", "3857", 
      "3860", "3861", "3865", "3869", "3871", "3872", "3873", "3874", "3880", 
      "3884", "3885", "3888", "3889", "3890", "3891", "3892", "3893", "3894", 
      "3895", "3898", "3901", "3902", "3904", "3907", "3910", "3914", "3915", 
      "3918", "3922", "3925", "3926", "3929", "3930", "3931", "3934", "3936", 
      "3938", "3939", "3940", "3941", "3942", "3944", "3946", "3950", "3953", 
      "3955", "3956", "3960", "3962", "3964", "3965", "3966", "3967", "3968", 
      "3969", "3970", "3971", "3972", "3973", "3974", "3975", "3976", "3977", 
      "3979", "3980", "3981", "3982", "3983", "3987", "3988", "3992", "3993", 
      "3994", "3997", "4000", "4005", "4008", "4011", "4014", "4016", "4017", 
      "4018", "4019", "4023", "4024", "4027", "4029", "4030", "4034", "4036", 
      "4037", "4038", "4039", "4040", "4043", "4044", "4045", "4046", "4050", 
      "4051", "4054", "4057", "4058", "4059", "4063", "4065", "4068", "4070", 
      "4072", "4075", "4076", "4077", "4078", "4079", "4080", "4084", "4087", 
      "4088", "4089", "4090", "4093", "4097", "4098", "4099", "4100", "4101", 
      "4104", "4105", "4107", "4110", "4115", "4116", "4118", "4120", "4121", 
      "4122", "4124", "4125", "4126", "4127", "4128", "4129", "4130", "4134", 
      "4137", "4141", "4151", "4154", "4155", "4160", "4161", "4166", "4167", 
      "4168", "4169", "4170", "4171", "4174", "4175", "4179", "4182", "4186", 
      "4187", "4188", "4189", "4190", "4191", "4192", "4193", "4194", "4195", 
      "4196", "4197", "4198", "4199", "4200", "4201", "4202", "4203", "4205", 
      "4206", "4207", "4208", "4209", "4215", "4218", "4219", "4221", "4224", 
      "4227", "4230", "4234", "4236", "4238", "4242", "4243", "4251", "4254", 
      "4260", "4261", "4264", "4265", "4269", "4270", "4271", "4272", "4273", 
      "4274", "4284", "4289", "4290", "4291", "4295", "4298", "4299", "4300", 
      "4301", "4302", "4303", "4304", "4305", "4306", "4307", "4308", "4309", 
      "4310", "4311", "4312", "4313", "4314", "4315", "4316", "4317", "4318", 
      "4319", "4320", "4321", "4322", "4323", "4324", "4325", "4328", "4331", 
      "4335", "4336", "4339", "4340", "4341", "4342", "4343", "4344", "4345", 
      "4350", "4351", "4352", "4353", "4354", "4358", "4359", "4363", "4366", 
      "4367", "4368", "4369", "4370", "4371", "4372", "4373", "4374", "4375", 
      "4378", "4383", "4387", "4388", "4389", "4390", "4391", "4392", "4393", 
      "4394", "4395", "4396", "4397", "4398", "4399", "4400", "4401", "4402", 
      "4403", "4404", "4405", "4406", "4407", "4408", "4409", "4410", "4411", 
      "4412", "4413", "4414", "4415", "4416", "4417", "4418", "4419", "4420", 
      "4421", "4422", "4423", "4424", "4425", "4427", "4431", "4432", "4433", 
      "4434", "4435", "4438", "4439", "4440", "4443", "4446", "4449", "4450", 
      "4451", "4452", "4453", "4454", "4455", "4460", "4461", "4462", "4463", 
      "4464", "4465", "4466", "4467", "4468", "4469", "4470", "4471", "4472", 
      "4473", "4474", "4475", "4476", "4477", "4478", "4479", "4480", "4481", 
      "4482", "4483", "4484", "4485", "4486", "4487", "4488", "4489", "4490", 
      "4491", "4492", "4493", "4494", "4495", "4496", "4497", "4498", "4499", 
      "4500", "4501", "4502", "4503", "4504", "4505", "4506", "4507", "4508", 
      "4509", "4510", "4511", "4512", "4513", "4514", "4515", "4519", "4520", 
      "4521", "4522", "4523", "4526", "4529", "4530", "4531", "4532", "4533", 
      "4534", "4535", "4536", "4537", "4538", "4539", "4540", "4541", "4542", 
      "4543", "4544", "4545", "4546", "4547", "4548", "4549", "4550", "4551", 
      "4552", "4553", "4554", "4555", "4556", "4557", "4558", "4559", "4560", 
      "4561", "4562", "4563", "4564", "4565", "4566", "4567", "4568", "4569", 
      "4570", "4571", "4572", "4573", "4574", "4575", "4576", "4577", "4578", 
      "4579", "4580", "4581", "4582", "4583", "4584", "4585", "4586", "4587", 
      "4588", "4589", "4590", "4591", "4592", "4593", "4594", "4595", "4596", 
      "4597", "4598", "4599", "4600", "4601", "4602", "4603", "4604", "4605", 
      "4606", "4607", "4615", "4616", "4617", "4618", "4619", "4620", "4621", 
      "4622", "4623", "4624", "4625", "4626", "4627", "4628", "4629", "4630", 
      "4631", "4632", "4633", "4634", "4635", "4636", "4637", "4638", "4639", 
      "4640", "4641", "4642", "4643", "4644", "4645", "4646", "4647", "4648", 
      "4649", "4650", "4651", "4652", "4653", "4654", "4655", "4656", "4657", 
      "4658", "4659", "4660", "4661", "4662", "4663", "4664", "4665", "4666", 
      "4667", "4668", "4669", "4670", "4671", "4672", "4673", "4674", "4675", 
      "4676", "4677", "4678", "4679", "4680", "4681", "4682", "4683", "4684", 
      "4685", "4686", "4687", "4688", "4689", "4690", "4691", "4692", "4693", 
      "4694", "4695", "4696", "4697", "4698", "4699", "4700", "4701", "4702", 
      "4703", "4704", "4705", "4706", "4707", "4708", "4709", "4710", "4711", 
      "4712", "4713", "4714", "4715", "4716", "4717", "4718", "4719", "4720", 
      "4721", "4722", "4723", "4724", "4725", "4726", "4727", "4728", "4729", 
      "4730", "4731", "4732", "4733", "4734", "4735", "4736", "4737", "4738", 
      "4739", "4740", "4741", "4742", "4743", "4744", "4745", "4746", "4749", 
      "4752", "4753", "4754", "4755", "4756", "4757", "4758", "4759", "4760", 
      "4761", "4762", "4763", "4764", "4765", "4766", "4767", "4768", "4769", 
      "4770", "4771", "4772", "4773", "4774", "4775", "4776", "4777", "4778", 
      "4779", "4780", "4781", "4782", "4783", "4784", "4785", "4786", "4787", 
      "4788", "4789", "4790", "4791", "4792", "4793", "4794", "4795", "4796", 
      "4797", "4798", "4799", "4800", "4801", "4802", "4803", "4804", "4805", 
      "4806", "4807", "4808", "4809", "4810", "4811", "4812", "4813", "4814", 
      "4815", "4816", "4817", "4818", "4819", "4820", "4821", "4822", "4823", 
      "4824", "4825", "4826", "4827", "4828", "4829", "4830", "4831", "4832", 
      "4833", "4834", "4835", "4836", "4837", "4838", "4839", "4840", "4841", 
      "4842", "4843", "4844", "4845", "4846", "4847", "4848", "4849", "4850", 
      "4851", "4852", "4853", "4854", "4855", "4856", "4857", "4858", "4859", 
      "4860", "4861", "4862", "4863", "4864", "4865", "4866", "4867", "4868", 
      "4869", "4870", "4871", "4872", "4873", "4874", "4875", "4876", "4877", 
      "4878", "4879", "4880", "4881", "4882", "4883", "4884", "4885", "4886", 
      "4887", "4888", "4889", "4890", "4891", "4892", "4893", "4894", "4895", 
      "4896", "4897", "4898", "4899", "4900", "4901", "4902", "4903", "4904", 
      "4905", "4906", "4907", "4908", "4909", "4910", "4911", "4912", "4913", 
      "4914", "4915", "4916", "4917", "4918", "4919", "4920", "4921", "4922", 
      "4923", "4924", "4925", "4926", "4927", "4928", "4929", "4930", "4931", 
      "4932", "4933", "4934", "4935", "4936", "4937", "4938", "4939", "4940", 
      "4941", "4942", "4943", "4944", "4945", "4946", "4947", "4948", "4949", 
      "4950", "4951", "4952", "4953", "4954", "4955", "4956", "4957", "4958", 
      "4959", "4960", "4961", "4962", "4963", "4964", "4965", "4966", "4967", 
      "4968", "4969", "4970", "4971", "4972", "4973", "4974", "4975", "4976", 
      "4977", "4978", "4979", "4980", "4981", "4982", "4983", "4984", "4985", 
      "4986", "4987", "4988", "4989", "4990", "4991", "4992", "4993", "4994", 
      "4995", "4996", "4997", "4998", "4999", "5000", "5001", "5002", "5003", 
      "5004", "5005", "5006", "5007", "5008", "5009", "5010", "5011", "5012", 
      "5013", "5014", "5015", "5016", "5017", "-3193", "-3192", "-3191", 
      "-3190", "-3189", "-3188", "-3187", "-3186", "-3185", "-3184", "-3183", 
      "-3182", "-3181", "-3180", "-3179", "-3178", "-3177", "-3176", "-3175", 
      "-3174", "-3173", "-3172", "-3171", "-3170", "-3169", "-3168", "-3167", 
      "-3166", "-3165", "-3164", "-3163", "-3162", "-3161", "-3160", "-3159", 
      "-3158", "-3157", "-3156", "-3155", "-3154", "-3153", "-3152", "-3151", 
      "-3150", "-3149", "-3148", "-3147", "-3146", "-3145", "-3144", "-3143", 
      "-3142", "-3141", "-3140", "-3139", "-3138", "-3137", "-3136", "-3135", 
      "-3134", "-3133", "-3132", "-3131", "-3130", "-3129", "-3128", "-3127", 
      "-3126", "-3125", "-3124", "-3123", "-3122", "-3121", "-3120", "-3119", 
      "-3118", "-3117", "-3116", "-3115", "-3114", "-3113", "-3112", "-3111", 
      "-3110", "-3109", "-3108", "-3107", "-3106", "-3105", "-3104", "-3103", 
      "-3102", "-3101", "-3100", "-3099", "-3098", "-3097", "-3096", "-3095", 
      "-3094", "-3093", "-3092", "-3091", "-3090", "-3089", "-3088", "-3087", 
      "-3086", "-3085", "-3084", "-3083", "-3082", "-3081", "-3080", "-3079", 
      "-3078", "-3077", "-3076", "-3075", "-3074", "-3073", "-3072", "-3071", 
      "-3070", "-3069", "-3068", "-3067", "-3066", "-3065", "-3064", "-3063", 
      "-3062", "-3061", "-3060", "-3059", "-3058", "-3057", "-3056", "-3055", 
      "-3054", "-3053", "-3052", "-3051", "-3050", "-3049", "-3048", "-3047", 
      "-3046", "-3045", "-3044", "-3043", "-3042", "-3041", "-3040", "-3039", 
      "-3038", "-3037", "-3036", "-3035", "-3034", "-3033", "-3032", "-3031", 
      "-3030", "-3029", "-3028", "-3027", "-3026", "-3025", "-3024", "-3023", 
      "-3022", "-3021", "-3020", "-3019", "-3018", "-3017", "-3016", "-3015", 
      "-3014", "-3013", "-3012", "-3011", "-3010", "-3009", "-3008", "-3007", 
      "-3006", "-3005", "-3004", "-3003", "-3002", "-3001", "-3000", "-2999", 
      "-2998", "-2997", "-2996", "-2995", "-2994", "-2993", "-2992", "-2991", 
      "-2990", "-2989", "-2988", "-2987", "-2986", "-2985", "-2984", "-2983", 
      "-2982", "-2981", "-2980", "-2979", "-2978", "-2977", "-2976", "-2975", 
      "-2974", "-2973", "-2972", "-2971", "-2970", "-2969", "-2968", "-2967", 
      "-2966", "-2965", "-2964", "-2963", "-2962", "-2961", "-2960", "-2959", 
      "-2958", "-2957", "-2956", "-2955", "-2954", "-2953", "-2952", "-2951", 
      "-2950", "-2949", "-2948", "-2947", "-2946", "-2945", "-2944", "-2943", 
      "-2942", "-2941", "-2940", "-2939", "-2938", "-2937", "-2936", "-2935", 
      "-2934", "-2933", "-2932", "-2931", "-2930", "-2929", "-2928", "-2927", 
      "-2926", "-2925", "-2924", "-2923", "-2922", "-2921", "-2920", "-2919", 
      "-2918", "-2917", "-2916", "-2915", "-2914", "-2913", "-2912", "-2911", 
      "-2910", "-2909", "-2908", "-2907", "-2906", "-2905", "-2904", "-2903", 
      "-2902", "-2901", "-2900", "-2899", "-2898", "-2897", "-2896", "-2895", 
      "-2894", "-2893", "-2892", "-2891", "-2890", "-2889", "-2888", "-2887", 
      "-2886", "-2885", "-2884", "-2883", "-2882", "-2881", "-2880", "-2879", 
      "-2878", "-2877", "-2876", "-2875", "-2874", "-2873", "-2872", "-2871", 
      "-2870", "-2869", "-2868", "-2867", "-2866", "-2865", "-2864", "-2863", 
      "-2862", "-2861", "-2860", "-2859", "-2858", "-2857", "-2856", "-2855", 
      "-2854", "-2853", "-2852", "-2851", "-2850", "-2849", "-2848", "-2847", 
      "-2846", "-2845", "-2844", "-2843", "-2842", "-2841", "-2840", "-2839", 
      "-2838", "-2837", "-2836", "-2835", "-2834", "-2833", "-2832", "-2831", 
      "-2830", "-2829", "-2828", "-2827", "-2826", "-2825", "-2824", "-2823", 
      "-2822", "-2821", "-2820", "-2819", "-2818", "-2817", "-2816", "-2815", 
      "-2814", "-2813", "-2812", "-2811", "-2810", "-2809", "-2808", "-2807", 
      "-2806", "-2805", "-2804", "-2803", "-2802", "-2801", "-2800", "-2799", 
      "-2798", "-2797", "-2796", "-2795", "-2794", "-2793", "-2792", "-2791", 
      "-2790", "-2789", "-2788", "-2787", "-2786", "-2785", "-2784", "-2783", 
      "-2782", "-2781", "-2780", "-2779", "-2778", "-2777", "-2776", "-2775", 
      "-2774", "-2773", "-2772", "-2771", "-2770", "-2769", "-2768", "-2767", 
      "-2766", "-2765", "-2764", "-2763", "-2762", "-2761", "-2760", "-2759", 
      "-2758", "-2757", "-2756", "-2755", "-2754", "-2753", "-2752", "-2751", 
      "-2750", "-2749", "-2748", "-2747", "-2746", "-2745", "-2744", "-2743", 
      "-2742", "-2741", "-2740", "-2739", "-2738", "-2737", "-2736", "-2735", 
      "-2734", "-2733", "-2732", "-2731", "-2730", "-2729", "-2728", "-2727", 
      "-2726", "-2725", "-2724", "-2723", "-2722", "-2721", "-2720", "-2719", 
      "-2718", "-2717", "-2716", "-2715", "-2714", "-2713", "-2712", "-2711", 
      "-2710", "-2709", "-2708", "-2707", "-2706", "-2705", "-2704", "-2703", 
      "-2702", "-2701", "-2700", "-2699", "-2698", "-2697", "-2696", "-2695", 
      "-2694", "-2693", "-2692", "-2691", "-2690", "-2689", "-2688", "-2687", 
      "-2686", "-2685", "-2684", "-2683", "-2682", "-2681", "-2680", "-2679", 
      "-2678", "-2677", "-2676", "-2675", "-2674", "-2673", "-2672", "-2671", 
      "-2670", "-2669", "-2668", "-2667", "-2666", "-2665", "-2664", "-2663", 
      "-2662", "-2661", "-2660", "-2659", "-2658", "-2657", "-2656", "-2655", 
      "-2654", "-2653", "-2652", "-2651", "-2650", "-2649", "-2648", "-2647", 
      "-2646", "-2645", "-2644", "-2643", "-2642", "-2641", "-2640", "-2639", 
      "-2638", "-2637", "-2636", "-2635", "-2634", "-2633", "-2632", "-2631", 
      "-2630", "-2629", "-2628", "-2627", "-2626", "-2625", "-2624", "-2623", 
      "-2622", "-2621", "-2620", "-2619", "-2618", "-2617", "-2616", "-2615", 
      "-2614", "-2613", "-2612", "-2611", "-2610", "-2609", "-2608", "-2607", 
      "-2606", "-2605", "-2604", "-2603", "-2602", "-2601", "-2600", "-2599", 
      "-2598", "-2597", "-2596", "-2595", "-2594", "-2593", "-2592", "-2591", 
      "-2590", "-2589", "-2588", "-2587", "-2586", "-2585", "-2584", "-2583", 
      "-2582", "-2581", "-2580", "-2579", "-2578", "-2577", "-2576", "-2575", 
      "-2574", "-2573", "-2572", "-2571", "-2570", "-2569", "-2568", "-2567", 
      "-2566", "-2565", "-2564", "-2563", "-2562", "-2561", "-2560", "-2559", 
      "-2558", "-2557", "-2556", "-2555", "-2554", "-2553", "-2552", "-2551", 
      "-2550", "-2549", "-2548", "-2547", "-2546", "-2545", "-2544", "-2543", 
      "-2542", "-2541", "-2540", "-2539", "-2538", "-2537", "-2536", "-2535", 
      "-2534", "-2533", "-2532", "-2531", "-2530", "-2529", "-2528", "-2527", 
      "-2526", "-2525", "-2524", "-2523", "-2522", "-2521", "-2520", "-2519", 
      "-2518", "-2517", "-2516", "-2515", "-2514", "-2513", "-2512", "-2511", 
      "-2510", "-2509", "-2508", "-2507", "-2506", "-2505", "-2504", "-2503", 
      "-2502", "-2501", "-2500", "-2499", "-2498", "-2497", "-2496", "-2495", 
      "-2494", "-2493", "-2492", "-2491", "-2490", "-2489", "-2488", "-2487", 
      "-2486", "-2485", "-2484", "-2483", "-2482", "-2481", "-2480", "-2479", 
      "-2478", "-2477", "-2476", "-2475", "-2474", "-2473", "-2472", "-2471", 
      "-2470", "-2469", "-2468", "-2467", "-2466", "-2465", "-2464", "-2463", 
      "-2462", "-2461", "-2460", "-2459", "-2458", "-2457", "-2456", "-2455", 
      "-2454", "-2453", "-2452", "-2451", "-2450", "-2449", "-2448", "-2447", 
      "-2446", "-2445", "-2444", "-2443", "-2442", "-2441", "-2440", "-2439", 
      "-2438", "-2437", "-2436", "-2435", "-2434", "-2433", "-2432", "-2431", 
      "-2430", "-2429", "-2428", "-2427", "-2426", "-2425", "-2424", "-2423", 
      "-2422", "-2421", "-2420", "-2419", "-2418", "-2417", "-2416", "-2415", 
      "-2414", "-2413", "-2412", "-2411", "-2410", "-2409", "-2408", "-2407", 
      "-2406", "-2405", "-2404", "-2403", "-2402", "-2401", "-2400", "-2399", 
      "-2398", "-2397", "-2396", "-2395", "-2394", "-2393", "-2392", "-2391", 
      "-2390", "-2389", "-2388", "-2387", "-2386", "-2385", "-2384", "-2383", 
      "-2382", "-2381", "-2380", "-2379", "-2378", "-2377", "-2376", "-2375", 
      "-2374", "-2373", "-2372", "-2371", "-2370", "-2369", "-2368", "-2367", 
      "-2366", "-2365", "-2364", "-2363", "-2362", "-2361", "-2360", "-2359", 
      "-2358", "-2357", "-2356", "-2355", "-2354", "-2353", "-2352", "-2351", 
      "-2350", "-2349", "-2348", "-2347", "-2346", "-2345", "-2344", "-2343", 
      "-2342", "-2341", "-2340", "-2339", "-2338", "-2337", "-2336", "-2335", 
      "-2334", "-2333", "-2332", "-2331", "-2330", "-2329", "-2328", "-2327", 
      "-2326", "-2325", "-2324", "-2323", "-2322", "-2321", "-2320", "-2319", 
      "-2318", "-2317", "-2316", "-2315", "-2314", "-2313", "-2312", "-2311", 
      "-2310", "-2309", "-2308", "-2307", "-2306", "-2305", "-2304", "-2303", 
      "-2302", "-2301", "-2300", "-2299", "-2298", "-2297", "-2296", "-2295", 
      "-2294", "-2293", "-2292", "-2291", "-2290", "-2289", "-2288", "-2287", 
      "-2286", "-2285", "-2284", "-2283", "-2282", "-2281", "-2280", "-2279", 
      "-2278", "-2277", "-2276", "-2275", "-2274", "-2273", "-2272", "-2271", 
      "-2270", "-2269", "-2268", "-2267", "-2266", "-2265", "-2264", "-2263", 
      "-2262", "-2261", "-2260", "-2259", "-2258", "-2257", "-2256", "-2255", 
      "-2254", "-2253", "-2252", "-2251", "-2250", "-2249", "-2248", "-2247", 
      "-2246", "-2245", "-2244", "-2243", "-2242", "-2241", "-2240", "-2239", 
      "-2238", "-2237", "-2236", "-2235", "-2234", "-2233", "-2232", "-2231", 
      "-2230", "-2229", "-2228", "-2227", "-2226", "-2225", "-2224", "-2223", 
      "-2222", "-2221", "-2220", "-2219", "-2218", "-2217", "-2216", "-2215", 
      "-2214", "-2213", "-2212", "-2211", "-2210", "-2209", "-2208", "-2207", 
      "-2206", "-2205", "-2204", "-2203", "-2202", "-2201", "-2200", "-2199", 
      "-2198", "-2197", "-2196", "-2195", "-2194", "-2193", "-2192", "-2191", 
      "-2190", "-2189", "-2188", "-2187", "-2186", "-2185", "-2184", "-2183", 
      "-2182", "-2181", "-2180", "-2179", "-2178", "-2177", "-2176", "-2175", 
      "-2174", "-2173", "-2172", "-2171", "-2170", "-2169", "-2168", "-2167", 
      "-2166", "-2165", "-2164", "-2163", "-2162", "-2161", "-2160", "-2159", 
      "-2158", "-2157", "-2156", "-2155", "-2154", "-2153", "-2152", "-2151", 
      "-2150", "-2149", "-2148", "-2147", "-2146", "-2145", "-2144", "-2143", 
      "-2142", "-2141", "-2140", "-2139", "-2138", "-2137", "-2136", "-2135", 
      "-2134", "-2133", "-2132", "-2131", "-2130", "-2129", "-2128", "-2127", 
      "-2126", "-2125", "-2124", "-2123", "-2122", "-2121", "-2120", "-2119", 
      "-2118", "-2117", "-2116", "-2115", "-2114", "-2113", "-2112", "-2111", 
      "-2110", "-2109", "-2108", "-2107", "-2106", "-2105", "-2104", "-2103", 
      "-2102", "-2101", "-2100", "-2099", "-2098", "-2097", "-2096", "-2095", 
      "-2094", "-2093", "-2092", "-2091", "-2090", "-2089", "-2088", "-2087", 
      "-2086", "-2085", "-2084", "-2083", "-2082", "-2081", "-2080", "-2079", 
      "-2078", "-2077", "-2076", "-2075", "-2074", "-2073", "-2072", "-2071", 
      "-2070", "-2069", "-2068", "-2067", "-2066", "-2065", "-2064", "-2063", 
      "-2062", "-2061", "-2060", "-2059", "-2058", "-2057", "-2056", "-2055", 
      "-2054", "-2053", "-2052", "-2051", "-2050", "-2049", "-2048", "-2047", 
      "-2046", "-2045", "-2044", "-2043", "-2042", "-2041", "-2040", "-2039", 
      "-2038", "-2037", "-2036", "-2035", "-2034", "-2033", "-2032", "-2031", 
      "-2030", "-2029", "-2028", "-2027", "-2026", "-2025", "-2024", "-2023", 
      "-2022", "-2021", "-2020", "-2019", "-2018", "-2017", "-2016", "-2015", 
      "-2014", "-2013", "-2012", "-2011", "-2010", "-2009", "-2008", "-2007", 
      "-2006", "-2005", "-2004", "-2003", "-2002", "-2001", "-2000", "-1999", 
      "-1998", "-1997", "-1996", "-1995", "-1994", "-1993", "-1992", "-1991", 
      "-1990", "-1989", "-1988", "-1987", "-1986", "-1985", "-1984", "-1983", 
      "-1982", "-1981", "-1980", "-1979", "-1978", "-1977", "-1976", "-1975", 
      "-1974", "-1973", "-1972", "-1971", "-1970", "-1969", "-1968", "-1967", 
      "-1966", "-1965", "-1964", "-1963", "-1962", "-1961", "-1960", "-1959", 
      "-1958", "-1957", "-1956", "-1955", "-1954", "-1953", "-1952", "-1951", 
      "-1950", "-1949", "-1948", "-1947", "-1946", "-1945", "-1944", "-1943", 
      "-1942", "-1941", "-1940", "-1939", "-1938", "-1937", "-1936", "-1935", 
      "-1934", "-1933", "-1932", "-1931", "-1930", "-1929", "-1928", "-1927", 
      "-1926", "-1925", "-1924", "-1923", "-1922", "-1921", "-1920", "-1919", 
      "-1918", "-1917", "-1916", "-1915", "-1914", "-1913", "-1912", "-1911", 
      "-1910", "-1909", "-1908", "-1907", "-1906", "-1905", "-1904", "-1903", 
      "-1902", "129", "176", "187", "273", "276", "278", "314", "317", "321", 
      "355", "398", "436", "440", "443", "444", "513", "518", "543", "1109", 
      "1110", "1113", "1122", "1123", "1125", "1127", "1129", "1130", "1132", 
      "1135", "1166", "1174", "1176", "1191", "1199", "1200", "1210", "1218", 
      "1220", "1241", "1254", "1259", "1269", "1290", "1307", "1343", "1365", 
      "1395", "1411", "1426", "1428", "1433", "1449", "1472", "1493", "1500", 
      "1507", "1511", "1538", "5018", "5019", "5020", "5021", "5022", "5023", 
      "5024", "5025", "5026", "5027", "5028", "5029", "5030", "5031", "5032", 
      "5033", "5034", "5035", "5036", "5037", "5038", "5039", "5040", "5041", 
      "5042", "5043", "5044", "5045", "5046", "5047", "5048", "5049", "5050", 
      "5051", "5052", "5053", "5054", "5055", "5056", "5057", "5058", "5059", 
      "5060", "5061", "5062", "5063", "5064", "5065", "5066", "5067", "5068", 
      "5069", "5070", "5071", "5072", "5073", "5074", "5075", "5076", "5077", 
      "5078", "5079", "5080", "5081", "5082", "5083", "5084", "5085", "5086", 
      "5087", "5088", "5089", "5090", "5091", "5092", "5093", "5094", "5095", 
      "5096", "5097", "5098", "5099", "5100", "5101", "5102", "5103", "5104", 
      "5105", "5106", "5107", "5108", "5109", "5110", "5111", "5112", "5113", 
      "5114", "5115", "5116", "5117", "5118", "5119", "5120", "5121", "5122", 
      "5123", "5124", "5125", "5126", "5127", "5128", "5129", "5130", "5131", 
      "5132", "5133", "5134", "5135", "5136", "5137", "5138", "5139", "5140", 
      "5141", "5142", "5143", "5144", "5145", "5146", "5147", "5148", "5149", 
      "5150", "5151", "5152", "5153", "5154", "5155", "5156", "5157", "5158", 
      "5159", "5160", "5161", "5162", "5163", "5164", "5165", "5166", "5167", 
      "5168", "5169", "5170", "5171", "5172", "5173", "5174", "5175", "5176", 
      "5177", "5178", "5179", "5180", "5181", "5182", "5183", "5184", "5185", 
      "5186", "5187", "5188", "5189", "5190", "5191", "5192", "5193", "5194", 
      "5195", "5196", "5197", "5198", "5199", "5200", "5201", "5202", "5203", 
      "5204", "5205", "5206", "5207", "5208", "5209", "5210", "5211", "5212", 
      "5213", "5214", "5215", "5216", "5217", "5218", "5219", "5220", "5221", 
      "5222", "5223", "5224", "5225", "5226", "5227", "5228", "5229", "5230", 
      "5231", "5232", "5233", "5234", "5235", "5236", "5237", "5238", "5239", 
      "5240", "5241", "5242", "5243", "5244", "5245", "5246", "5247", "5248", 
      "5249", "5250", "5251", "5252", "5253", "5254", "5255", "5256", "5257", 
      "5258", "5259", "5260", "5261", "5262", "5263", "5264", "5265", "5266", 
      "5267", "5268", "5269", "5270", "5271", "5272", "5273", "5274", "5275", 
      "5276", "5277", "5278", "5279", "5280", "5281", "5282", "5283", "5284", 
      "5285", "5286", "5287", "5288", "5289", "5290", "5291", "5292", "5293", 
      "5294", "5295", "5296", "5297", "5298", "5299", "5300", "5301", "5302", 
      "5303", "5304", "5305", "5306", "5307", "5308", "5309", "5310", "5311", 
      "5312", "5313", "5314", "5315", "5316", "5318", "5319", "5320", "5321", 
      "5322", "5323", "5324", "5325", "5326", "5331", "5339", "5340", "5344", 
      "5350", "5352", "5357", "5358", "5360", "5361", "5364", "5368", "5369", 
      "5370", "5372", "5374", "5375", "5381", "5389", "5390", "5394", "5399", 
      "5401", "5406", "5407", "5408", "5409", "5410", "5413", "5417", "5418", 
      "5419", "5420", "5421", "5426", "5427", "5433", "5434", "5437", "5440", 
      "5443", "5445", "5450", "5451", "5452", "5453", "5454", "5457", "5458", 
      "5461", "5462", "5463", "5464", "5465", "5466", "5467", "5472", "5480", 
      "5484", "5490", "5493", "5496", "5497", "5498", "5499", "5501", "5502", 
      "5503", "5506", "5507", "5508", "5510", "5512", "5517", "5518", "5524", 
      "5527", "5533", "5536", "5539", "5540", "5541", "5542", "5544", "5546", 
      "5549", "5550", "5551", "5553", "5561", "5570", "5576", "5578", "5583", 
      "5584", "5586", "5587", "5593", "5594", "5596", "5598", "5603", "5610", 
      "5615", "5618", "5621", "5622", "5623", "5624", "5626", "5630", "5631", 
      "5633", "5640", "5647", "5652", "5654", "5659", "5660", "5662", "5663", 
      "5670", "5672", "5679", "5680", "5685", "5686", "5687", "5688", "5689", 
      "5692", "5695", "5697", "5699", "5701", "5702", "5703", "5704", "5705", 
      "5707", "5708", "5709", "5710", "5711", "5712", "5713", "5714", "5715", 
      "5716", "5720", "5725", "5726", "5727", "5728", "5729", "5734", "5736", 
      "5738", "5740", "5741", "5742", "5743", "5744", "5746", "5747", "5748", 
      "5749", "5750", "5751", "5752", "5754", "5756", "5761", "5762", "5767", 
      "5768", "5769", "5770", "5771", "5774", "5777", "5779", "5781", "5783", 
      "5784", "5785", "5786", "5787", "5789", "5790", "5791", "5792", "5793", 
      "5794", "5796", "5798", "5804", "5805", "5809", "5810", "5812", "5813", 
      "5818", "5822", "5823", "5824", "5826", "5828", "5830", "5831", "5832", 
      "5833", "5834", "5835", "5839", "5844", "5845", "5847", "5848", "5852", 
      "5856", "5857", "5858", "5860", "5861", "5862", "5865", "5866", "5869", 
      "5874", "5875", "5878", "5879", "5880", "5881", "5882", "5885", "5887", 
      "5888", "5890", "5891", "5892", "5894", "5895", "5896", "5897", "5898", 
      "5899", "5900", "5902", "5908", "5909", "5913", "5914", "5916", "5917", 
      "5922", "5926", "5927", "5928", "5930", "5932", "5935", "5936", "5939", 
      "5946", "5954", "5955", "5957", "5964", "5967", "5970", "5971", "5972", 
      "5973", "5975", "5979", "5981", "5986", "5993", "5994", "5997", "6000", 
      "6003", "6006", "6007", "6008", "6009", "6011", "6015", "6016", "6017", 
      "6018", "6019", "6024", "6031", "6032", "6039", "6042", "6045", "6046", 
      "6047", "6048", "6050", "6053", "6059", "6065", "6066", "6072", "6075", 
      "6078", "6079", "6080", "6081", "6085", "6091", "6098", "6099", "6106", 
      "6109", "6112", "6113", "6114", "6115", "6117", "6120", "6122", "6128", 
      "6134", "6135", "6136", "6138", "6143", "6145", "6147", "6149", "6150", 
      "6151", "6152", "6155", "6158", "6159", "6161", "6163", "6168", "6169", 
      "6173", "6174", "6182", "6184", "6186", "6187", "6191", "6194", "6195", 
      "6196", "6197", "6198", "6199", "6203", "6204", "6209", "6210", "6211", 
      "6212", "6218", "6221", "6223", "6224", "6225", "6226", "6228", "6230", 
      "6233", "6234", "6235", "6237", "6244", "6248", "6254", "6256", "6258", 
      "6259", "6266", "6268", "6274", "6275", "6279", "6280", "6281", "6283", 
      "6288", "6289", "6290", "6291", "6292", "6294", "6295", "6296", "6297", 
      "6298", "6299", "6301", "6302", "6307", "6308", "6310", "6311", "6312", 
      "6316", "6318", "6319", "6320", "6322", "6324", "6327", "6328", "6330", 
      "6335", "6340", "6341", "6342", "6348", "6351", "6353", "6354", "6355", 
      "6356", "6358", "6361", "6367", "6368", "6372", "6373", "6381", "6383", 
      "6385", "6386", "6390", "6394", "6395", "6397", "6404", "6412", "6413", 
      "6416", "6422", "6428", "6429", "6431", "6434", "6435", "6436", "6438", 
      "6442", "6443", "6449", "6450", "6452", "6456", "6462", "6463", "6465", 
      "6467", "6468", "6469", "6470", "6471", "6472", "6473", "6477", "6478", 
      "6484", "6486", "6491", "6494", "6497", "6498", "6500", "6502", "6503", 
      "6504", "6510", "6517", "6522", "6525", "6528", "6529", "6533", "6539", 
      "6540", "6544", "6545", "6547", "6548", "6553", "6554", "6558", "6559", 
      "6560", "6562", "6563", "6567", "6568", "6569", "6571", "6577", "6584", 
      "6590", "6593", "6596", "6597", "6599", "6602", "6607", "6608", "6612", 
      "6613", "6617", "6620", "6622", "6623", "6625", "6627", "6628", "6634", 
      "6635", "6641", "6642", "6644", "6649", "6655", "6656", "6658", "6661", 
      "6662", "6664", "6668", "6673", "6674", "6678", "6683", "6685", "6690", 
      "6691", "6693", "6697", "6698", "6699", "6701", "6703", "6706", "6707", 
      "6711", "6712", "6719", "6724", "6726", "6729", "6730", "6731", "6732", 
      "6735", "6736", "6741", "6742", "6743", "6744", "6748", "6751", "6754", 
      "6755", "6756", "6758", "6759", "6760", "6762", "6767", "6775", "6780", 
      "6782", "6786", "6792", "6793", "6797", "6798", "6799", "6800", "6803", 
      "6805", "6807", "6809", "6810", "6811", "6813", "6814", "6815", "6818", 
      "6821", "6822", "6824", "6825", "6827", "6830", "6835", "6836", "6838", 
      "6840", "6843", "6847", "6852", "6853", "6854", "6858", "6861", "6864", 
      "6865", "6866", "6868", "6872", "6873", "6876", "6877", "6883", "6885", 
      "6887", "6891", "6896", "6897", "6901", "6902", "6907", "6913", "6915", 
      "6919", "6920", "6924", "6925", "6932", "6937", "6939", "6943", "6949", 
      "6956", "6957", "6961", "6965", "6967", "6970", "6971", "6974", "6975", 
      "6977", "6980", "6981", "6987", "6990", "6995", "6996", "6997", "7000", 
      "7001", "7002", "7003", "7004", "7006", "7007", "7013", "7016", "7021", 
      "7025", "7026", "7027", "7028", "7031", "7032", "7033", "7035", "7039", 
      "7046", "7050", "7051", "7053", "7055", "7058", "7059", "7064", "7065", 
      "7066", "7067", "7069", "7071", "7072", "7073", "7074", "7075", "7077", 
      "7079", "7081", "7082", "7086", "7088", "7089", "7094", "7095", "7097", 
      "7098", "7101", "7104", "7111", "7112", "7117", "7121", "7122", "7123", 
      "7126", "7129", "7130", "7134", "7135", "7140", "7141", "7144", "7145", 
      "7147", "7150", "7151", "7157", "7159", "7162", "7166", "7168", "7169", 
      "7172", "7173", "7177", "7184", "7185", "7190", "7191", "7197", "7200", 
      "7205", "7206", "7207", "7210", "7211", "7213"}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(QList[file2]\)], "Input"],

Cell[BoxData[
    \(QList::"failed" \(\(:\)\(\ \)\) 
      "\!\(\"this file is not open\"\)"\)], "Message"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(QPut[file2, "\<33\>", "\<44\>"]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(QGet[file2, "\<33\>"]\)], "Input"],

Cell[BoxData[
    \("44"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(QPut[file2, "\<34\>", "\<44\>"]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(QList[file3]\)], "Input"],

Cell[BoxData[
    \({}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(QRepair[file2]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(QOpen[file2]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(QOpen[file3]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?QGet\)\)], "Input"],

Cell[BoxData[
    \("QGet[file,key] retrieves the value for key in file"\)], "Print",
  CellTags->"Info3388414228-9910162"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(QGet[file2, "\<33\>"]\)], "Input"],

Cell[BoxData[
    \("44"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(QPut[file3, "\<33\>", "\<44\>"]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(QDelete[file3, "\<33\>"]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(QDelete[file2, "\<33\>"]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?QPut\)\)], "Input"],

Cell[BoxData[
    \("QPut[file,key,value] creates an entry with key and value in file"\)], \
"Print",
  CellTags->"Info3388414247-7487670"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(QPut[file2, "\<33\>", "\<44\>"]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(QGet["\<33\>"]\)], "Input"],

Cell[BoxData[
    \("44"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?QDelete\)\)], "Input"],

Cell[BoxData[
    \("QDelete[key] removes the value for key"\)], "Print",
  CellTags->"Info3387559839-1460398"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(QDelete["\<33\>"]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(QGet["\<33\>"]\)], "Input"],

Cell[BoxData[
    \("Error"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?QClose\)\)], "Input"],

Cell[BoxData[
    \("QClose[file] closes the connection"\)], "Print",
  CellTags->"Info3388412499-8618397"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(QClose[file2]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(QClose[file3]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]]
},
FrontEndVersion->"5.2 for Microsoft Windows",
ScreenRectangle->{{0, 1280}, {0, 717}},
WindowSize->{495, 559},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Info3388419215-3452632"->{
    Cell[2341, 74, 134, 3, 44, "Print",
      CellTags->"Info3388419215-3452632"]},
  "Info3388419219-2935915"->{
    Cell[2560, 85, 123, 2, 25, "Print",
      CellTags->"Info3388419219-2935915"]},
  "Info3388414228-9910162"->{
    Cell[66907, 999, 123, 2, 25, "Print",
      CellTags->"Info3388414228-9910162"]},
  "Info3388414247-7487670"->{
    Cell[67656, 1045, 139, 3, 44, "Print",
      CellTags->"Info3388414247-7487670"]},
  "Info3387559839-1460398"->{
    Cell[68147, 1074, 111, 2, 25, "Print",
      CellTags->"Info3387559839-1460398"]},
  "Info3388412499-8618397"->{
    Cell[68598, 1102, 107, 2, 25, "Print",
      CellTags->"Info3388412499-8618397"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Info3388419215-3452632", 69596, 1141},
  {"Info3388419219-2935915", 69710, 1144},
  {"Info3388414228-9910162", 69824, 1147},
  {"Info3388414247-7487670", 69940, 1150},
  {"Info3387559839-1460398", 70057, 1153},
  {"Info3388412499-8618397", 70174, 1156}
  }
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 178, 3, 70, "Input"],

Cell[CellGroupData[{
Cell[1957, 58, 74, 1, 30, "Input"],
Cell[2034, 61, 141, 2, 63, "Print"],
Cell[2178, 65, 80, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2295, 71, 43, 1, 30, "Input"],
Cell[2341, 74, 134, 3, 44, "Print",
  CellTags->"Info3388419215-3452632"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2512, 82, 45, 1, 30, "Input"],
Cell[2560, 85, 123, 2, 25, "Print",
  CellTags->"Info3388419219-2935915"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2720, 92, 45, 1, 30, "Input"],
Cell[2768, 95, 38, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2843, 101, 56, 1, 30, "Input"],
Cell[2902, 104, 38, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2977, 110, 63, 1, 30, "Input"],
Cell[3043, 113, 38, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3118, 119, 45, 1, 30, "Input"],
Cell[3166, 122, 62517, 793, 16464, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[65720, 920, 45, 1, 27, "Input"],
Cell[65768, 923, 107, 2, 22, "Message"],
Cell[65878, 927, 39, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[65954, 933, 64, 1, 30, "Input"],
Cell[66021, 936, 38, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[66096, 942, 54, 1, 30, "Input"],
Cell[66153, 945, 38, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[66228, 951, 64, 1, 30, "Input"],
Cell[66295, 954, 38, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[66370, 960, 45, 1, 30, "Input"],
Cell[66418, 963, 36, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[66491, 969, 47, 1, 30, "Input"],
Cell[66541, 972, 38, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[66616, 978, 45, 1, 30, "Input"],
Cell[66664, 981, 38, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[66739, 987, 45, 1, 30, "Input"],
Cell[66787, 990, 38, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[66862, 996, 42, 1, 30, "Input"],
Cell[66907, 999, 123, 2, 25, "Print",
  CellTags->"Info3388414228-9910162"]
}, Open  ]],

Cell[CellGroupData[{
Cell[67067, 1006, 54, 1, 30, "Input"],
Cell[67124, 1009, 38, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[67199, 1015, 64, 1, 30, "Input"],
Cell[67266, 1018, 38, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[67341, 1024, 57, 1, 30, "Input"],
Cell[67401, 1027, 38, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[67476, 1033, 57, 1, 30, "Input"],
Cell[67536, 1036, 38, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[67611, 1042, 42, 1, 30, "Input"],
Cell[67656, 1045, 139, 3, 44, "Print",
  CellTags->"Info3388414247-7487670"]
}, Open  ]],

Cell[CellGroupData[{
Cell[67832, 1053, 64, 1, 30, "Input"],
Cell[67899, 1056, 38, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[67974, 1062, 47, 1, 30, "Input"],
Cell[68024, 1065, 38, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[68099, 1071, 45, 1, 30, "Input"],
Cell[68147, 1074, 111, 2, 25, "Print",
  CellTags->"Info3387559839-1460398"]
}, Open  ]],

Cell[CellGroupData[{
Cell[68295, 1081, 50, 1, 30, "Input"],
Cell[68348, 1084, 38, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[68423, 1090, 47, 1, 30, "Input"],
Cell[68473, 1093, 41, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[68551, 1099, 44, 1, 30, "Input"],
Cell[68598, 1102, 107, 2, 25, "Print",
  CellTags->"Info3388412499-8618397"]
}, Open  ]],

Cell[CellGroupData[{
Cell[68742, 1109, 46, 1, 30, "Input"],
Cell[68791, 1112, 38, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[68866, 1118, 46, 1, 30, "Input"],
Cell[68915, 1121, 38, 1, 29, "Output"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

